package com.gh.gamecenter.db.info;

import com.j256.ormlite.field.DatabaseField;
import com.j256.ormlite.table.DatabaseTable;

import java.io.Serializable;

@DatabaseTable(tableName = "tb_game")
public class GameInfo implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -5260664512970779554L;

	@DatabaseField(id = true, columnName = "packageName")
	private String packageName;

	@DatabaseField(columnName = "id")
	private String id;

	@DatabaseField(columnName = "gameName")
	private String gameName;

	public GameInfo() {

	}

	public GameInfo(String packageName, String id, String gameName) {
		super();
		this.packageName = packageName;
		this.id = id;
		this.gameName = gameName;
	}

	public String getPackageName() {
		return packageName;
	}

	public void setPackageName(String packageName) {
		this.packageName = packageName;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getGameName() {
		return gameName;
	}

	public void setGameName(String gameName) {
		this.gameName = gameName;
	}

	@Override
	public String toString() {
		return "GameEntity [packageName=" + packageName + ", id=" + id
				+ ", gameName=" + gameName + "]";
	}

}
